=== debian/changelog ===
qt-x11-free (3:3.1.1-7-jp1) unstable; urgency=low

  * Apply JKUG extra patchs using dpatch for improve japanese usablities.
    qt-x11-free-3.1.1-fix-callPosition-XFilterEvent-20021223.diff
    qt-x11-free-3.1.1-qjpunicode-20021223.diff
    qt-x11-free-3.1.1-xim-toUseAtokx-20021223.diff
  * debian/control: Remove actually xlibs-pic depends.

 -- Masaharu 'Max' Goto <max@users.sourceforge.jp>  Sat, 9 Feb 2003 12:00:00 +0900

qt-x11-free (3:3.1.1-7) unstable; urgency=low

  * ML: The "Arg, can somebody purge typod please?"-release
    - debian/control: Fixed corrupt Build-Depends: line
    - debian/patches: Made the xinerama_pic patch i386-only
    - debian/control: Removed unnecessary xlibs-pic Depends:

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 07 Feb 2003 15:44:00 +0100

qt-x11-free (3:3.1.1-6) unstable; urgency=low

  * ML: Build with lXinerama_pic (for -fPIC) (Closes: #176071, #175075)
  * ML: debian/rules: Convert to dpatch package
  * ML: debian/control: Change Maintainer Address
  * ML: debian/control: Have fontconfig as Depends:
  * ML: debian/control: Fix {Build-}Dependencies for GLU libs (Closes: #182184)

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 06 Feb 2003 18:40:00 +0100

qt-x11-free (3:3.1.1-5) unstable; urgency=low

  * ML: Added Build-Dependency for xlibmesa-glu-dev to fix FTBFS
  * ML: Updated debian/patches/01 to reflect latest qt-copy changes
  * ML: Removed patch for hppa (was needed to fix FTBFS)

 -- Martin Loschwitz <madkiss@madkiss.org>  Sat, 22 Feb 2003 08:47:00 +0100
 

qt-x11-free (3:3.1.1-4) unstable; urgency=low

  * RN: debian/rules: remove byacc commands
  * RN: debian/rules: Change back to srcdir = builddir mechanism
  * RN: debian/patches: Help to remove some unused patches
  * RN: debian/maintain: Help to get rid of copying qmake.conf files around
  * RN: debian/rules: Clean up the 'clean' target, make it work again
  * RN: debian/qt3-doc.links: Fix breakage for man-link
  * RN: debian/libqt3{mt-dev,dev}: Create plugins symlink
  * ML: debian/control: Remove xlibmesa-dev dependencies (Closes: #181202)
  * ML: debian/control: Change libqt3-headers back to arch=all
  * ML: debian/patches: Added patch to make sure hppa compiles as it should
  * ML: Create seperate qconfig.h files for non-mt/mt (Conflicts for -dev!)

 -- Martin Loschwitz <madkiss@madkiss.org>  Tue, 18 Feb 2003 19:26:00 +0100
 

qt-x11-free (3:3.1.1-3) unstable; urgency=low

  * RN: debian/libqt3-plugins-headers.install: Removed headers for codecs
  * RN: debian/rules: Fix paths in .prl-files after build has finished
  * RN: debian/libqt3-headers.install: Include some more includes files
  * ML: Ship src/attic as .tar.gz in libqt3-compat-headers (it's obsolete, anyway)
  * ML: Broke out qt3-examples package (saves place in -doc-package and makes sense)
  * ML: debian/maintain/qmake*.conf: Applied patch by Brian Nelson (Closes: #180326)
  * ML: Added debian/maintain/fixqc.sh to fix qmake.cache files during install

 -- Martin Loschwitz <madkiss@madkiss.org>  Wed, 12 Feb 2003 16:31:00 +0100
 

qt-x11-free (3:3.1.1-2pre3v1) unstable; urgency=low

  * New package: libqt3-compat-headers (Thanks to Ralf Nolden again)
  * debian/patches/01_qtcopy_20030206.dpatch: Updated to qtcopy from 20030206
  * debian/libqt3-mt-dev.install: Move QGL classes here since QGL only works with mt
  * debian/rules: Install .prl files to /usr/share/qt3/lib/
  * debian/rules: Include logo32.png is every html-documentation
  * debian/libqt3c102-mt.links: Symlinks for libqui
  * debian/maintain/{qtconfig,assistant}.desktop: Fix section in menu file
  * debian/rules: Include qmake documentation
  * debian/rules: remove qwindowsxpstyle.h
  * debian/rules: Moved README.Debian to -dev-packages (Closes: #179932)
  * debian/README.Debian: New Version with max 75 chars per line (Closes: #179408)
  * debian/control: Corrected Suggests: fields (Closes: #179838)
  * deban/maintain/qtconfig.desktop: New Version, works Ok now (Closes: #179773)
  * debian/control: libqt3c102-mt now conflicts with libqui1-emb (Closes: #179759)
  * debian/control: qt3-dev-tools now conflicts with qte3-designer (Closes: #179761)
  * debian/qt3-dev-tools.links: Make setting of QMAKESPEC unnecessary (Closes: #178296)
  * debian/qt3-doc.doc-base: Finally, fix doc-base stuff (Closes: #155566)
  * debian/control: libqt3c102 and -mt don't conflict with libqt (Closes: #179768)
  * debian/control: Depend on xlibmesa-gl-dev | libgl-dev
  * debian/control: Added Conflicts: for unofficial libqt3c-packages (Closes: #180078)
  * debian/rules: Don't provide static libraries any longer (Waiting for policy approval!)
  * debian/rules: Header-directory now is /usr/include/qt3
  * debian/rules: build the -non-mt version before the -mt-version
  * For 3:3.1.1-2: Added Conflicts: for qt3-dev-tools <-> uic (Closes: #179396)

 -- Martin Loschwitz <madkiss@madkiss.org>  Sat, 8 Feb 2003 09:34:00 +0100

qt-x11-free (3:3.1.1-2) unstable; urgency=low

  * debian/qt3-dev-tools.install: Include mkspecs for qmake (Closes: #179410)
  * debian/rules: Include logo32.png in qt3-docs (Closes: #179437)
  * debian/control: qt3-dev-tools now has Conflicts: for libqt-dev (moc!)
  * debian/control: Fix Build-Depends: to be xlibmesa-gl-dev instead of -glu-dev.
  * debian/*.links: Readded symlinks for /usr/share/qt3/bin/ (Closes: #179411)
  * debian/rules: Remove undocumented Symlinks (they are deprecated)
  * -dev-packages should not depend on libqt3-plugins-headers (Closes: #179429)
  * This was fixed in 3:3.1.1-1 (Closes: #179155)
  * debian/maintain/qmake*.conf: Fix errors causing FTBFS on hppa/alpha (Closes: #179582)
  * debian/control: Make libqt3-dev/-mt-dev depend on xlibmesa-gl-dev (Closes: #179573)
  
 -- Martin Loschwitz <madkiss@madkiss.org>  Mon, 3 Feb 2003 12:49:00 +0100
 

qt-x11-free (3:3.1.1-1) unstable; urgency=low

  * The packages have been redesigned radically.
    - New packages: libqt3-headers, libqt3-i18n, libqt3-plugins-headers,

