=== debian/control ===
Source: qt-x11-free
Build-Depends: debhelper (>= 4.1.26), xlibs-dev (>= 4.2.1), libjpeg62-dev, zlib1g-dev, libmng-dev (>= 1.0.3), libpng12-0-dev, libfreetype6-dev, libiodbc2-dev, libmysqlclient10-dev, flex, postgresql-dev, libaudio-dev, libcupsys2-dev, xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu1-mesa-dev | libglu-dev , libxft2-dev, dpatch (>= 1.13)
Section: libs
Priority: optional
Maintainer: Martin Loschwitz <madkiss@debian.org> 
Standards-Version: 3.5.8

Package: libqt3c102
Architecture: any
Section: libs
Replaces: libqt3-gl, qt3-tools (<< 2:3.0.2-20020306-1), libqt3, libqt3-mt
Depends: ${shlibs:Depends}, fontconfig
Conflicts: libqt3-gl, libqt3, libqt3c
Suggests: libqt3c102-psql, libqt3c102-mysql, libqt3c102-odbc, fontconfig (>= 2.1)
Description: Qt Library
 This is the Trolltech Qt library, version 3. It's necessary for
 applications that link against the libqt.so.3.
 .
 WARNING: The nonthreaded version of Qt3 is considered deprecated and
 may disappear anytime in the future. Please use libqt3-mt instead 
 (Read README.Debian for instructions).

Package: libqt3c102-mt
Architecture: any
Section: libs
Replaces: qt3-tools (<< 2:3.0.2-20020306-1), libqt3-helper, libqt3, libqt3-mt
Depends: ${shlibs:Depends}, fontconfig
Conflicts: libqt3-mt, libqui1-emb, libqt3c-mt
Suggests: libqt3c102-mt-psql, libqt3c102-mt-mysql, libqt3c102-mt-odbc, fontconfig (>= 2.1)
Description: Qt GUI Library (Threaded runtime version)
 This is the Trolltech Qt library, version 3. It's necessary for
 applications that link against the libqt-mt.so.3, e.g. all KDE3 
 applications.
 
Package: libqt3c102-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libqt3-mysql, libqt3c-mysql
Description: MySQL database driver for Qt3
 This package contains the mysql plugin for Qt3.
 .
 WARNING: The nonthreaded version of Qt3 is considered deprecated and
 may disappear anytime in the future. Please use libqt3-mt instead 
 (Read README.Debian for instructions).
   
Package: libqt3c102-mt-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: libqt3-mysql (<= 2:3.1.1+cvs.20021220-1)
Conflicts: libqt3-mt-mysql, libqt3c-mt-mysql
Description: MySQL database driver for Qt3 (Threaded)
 This package contains the threaded mysql plugin for Qt3.

Package: libqt3c102-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libqt3-odbc, libqt3c-odbc
Description: ODBC database driver for Qt3
 This package contains the odbc plugin for Qt3.
 .
 WARNING: The nonthreaded version of Qt3 is considered deprecated and
 may disappear anytime in the future. Please use libqt3-mt instead 
 (Read README.Debian for instructions).
    
Package: libqt3c102-mt-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: libqt3-odbc (<= 2:3.1.1+cvs.20021220-1)
Conflicts: libqt3-mt-odbc, libqt3c-mt-odbc
Description: ODBC database driver for Qt3 (Threaded)
 This package contains the threaded odbc plugin for Qt3.

Package: libqt3c102-psql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libqt3-psql, libqt3c-psql
Description: PostgreSQL database driver for Qt3
 This package contains the unthreaded psql plugin for Qt3.
 .
 WARNING: The nonthreaded version of Qt3 is considered deprecated and
 may disappear anytime in the future. Please use libqt3-mt instead
 (Read README.Debian for instructions).
    
Package: libqt3c102-mt-psql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: libqt3-psql (<= 2:3.1.1+cvs.20021220-1)
Conflicts: libqt3-mt-psql, libqt3c-mt-psql
Description: PostgreSQL database driver for Qt3 (Threaded)
 This package contains the threaded psql plugin for Qt3.
 
Package: libqt3-dev
Architecture: any
Section: devel
Replaces: libqt2-dev, libqt-dev, qt3-doc (<< 2:3.0.2-20020306-1), qt3-tools (<< 2:3.0.3-20020329-1), libqt3-headers (<= 3:3.1.1-3)
Depends: xlibs-dev (>= 4.2.1), libmng-dev (>= 1.0.3), libpng12-0-dev, libjpeg62-dev, zlib1g-dev, libfreetype6-dev, libc6-dev, libqt3c102 (= ${Source-Version}), libqt3-headers (= ${Source-Version}), qt3-dev-tools (= ${Source-Version}), xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev |  libglu1-mesa-dev | libglu-dev
Suggests: libqt3-i18n, qt3-doc
Conflicts: libqt-dev, libqt3-mt-dev
Description: Qt development files
 Qt is a C++ class library optimized for graphical user interface
 development. This package contains libqt-mt.so symlink, necessary 
 for building threaded Qt applications.
 .
 WARNING: The nonthreaded version of Qt3 is considered deprecated and
 may disappear anytime in the future. Please use libqt3-mt instead
 (Read README.Debian for instructions).
    
Package: libqt3-mt-dev
Architecture: any
Section: devel
Replaces: libqt-mt-dev, libqt3-dev (>= 3.0.5-4), libqt3-helper, libqt3-headers (<= 3:3.1.1-3)
Depends: xlibs-dev (>= 4.2.1), libmng-dev (>= 1.0.3), libpng12-0-dev, libjpeg62-dev, zlib1g-dev, libfreetype6-dev, libc6-dev, libqt3c102-mt (= ${Source-Version}), libqt3-headers (= ${Source-Version}), qt3-dev-tools (= ${Source-Version}), xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu1-mesa-dev | libglu-dev
Conflicts: libqt-mt-dev
Suggests: libqt3-i18n, qt3-doc
Description: Qt development files (Threaded)
 Qt is a C++ class library optimized for graphical user interface
 development. This package contains the libqt-mt.so symlink, necessary 
 for building threaded Qt applications as well as the libqui.so symlink 
 and the necessary header files for libqui.so. (See README.Debian and 
 the Qt Documentation for instructions on libqui.so)

Package: libqt3-headers
Architecture: all
Section: devel
Recommends: libqt3-mt-dev
Replaces: libqt3-mt-dev, libqt3-dev
Description:  Qt3 header files
 This package contains all header files for libqt and libqt-mt which come 
 with Qt3. If you want to compile or develop programs which use Qt3, you 
 have to install this package.

Package: libqt3-plugins-headers
Architecture: all
Section: devel
Depends: libqt3-headers (= ${Source-Version})
Recommends: libqt3-mt-dev
Replaces: libqt3-mt-dev, libqt3-dev
Description: Qt3 plugin header files
 This package exists for convenience reasons only. It contains all
 header files for the classes of Qt that are compiled as plugins and
 aren't necessary for any development with the Qt version of Debian.
 It is there for application programmers who want to develop plugins
 like styles and codecs as example headers how to derive from the according
 plugin classes provided by the Qt library.
 (See README.Debian for instructions and information)

Package: libqt3-compat-headers
Architecture: all
Section: devel
Depends: libqt3-headers (= ${Source-Version})
Recommends: libqt3-mt-dev
Replaces: libqt3-mt-dev (<= 3:3.1.1-2), libqt3-dev (<= 3:3.1.1-2), libqt3-headers (<= 3:3.1.1-2)
Description: Qt 1.x and 2.x compatibility includes
 This package contains header files that are intended for build
 compatibility for applications that build with Qt3 but still use
 deprecated includes. It is meant as an intermediate solution and 
 these header files are not part of the official Qt3 API.
 All sourcecode that is still using the headers of this package is 
 subject to be changed to use the new header files which are in 
 libqt3-headers.

Package: qt3-dev-tools
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
Recommends: libqt3-mt-dev | libqt3-dev
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev, qt3-doc (<= 3:3.1.1-2)
Conflicts: libqt-dev (<< 3:2.3.2-10), uic (<= 3:2.3.2-9)
Description: Qt3 development tools
 This package contains all tools that are necessary to build programs
 that are written using Qt3. These are: qmake, uic and moc.
 For Qt3 development, you most likely want to install this package.
 
Package: qt3-designer
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
Recommends: qt3-dev-tools
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Suggests: qt3-assistant, qt3-doc
Conflicts: qt-designer (<= 3:2.3.2-9), qt-designer-doc
Description: Qt3 Designer
 The Qt Designer is a GUI design program that interactively lets you
 construct user interfaces for the Qt library. Additionally it lets you
 create whole project and works together with the database drivers
 provided by Qt to create applications with easy database accesss through
 Qt. The resulting user interface files can then be converted to
 C++ classes using the uic commandline utility which is usually done
 automatically for the developer with a project management with qmake
 or automake.

Package: qt3-apps-dev
Architecture: any
Section: devel
Depends: libqt3-mt-dev
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: Qt3 Developer applications development files
 This package is intended for developers who want to develop applications 
 using the additional static libraries that ship with the applications
 included with Qt; the Qt Designer and the Qt Assistant.
 It allows integrating additional enhancements into the Qt Designer
 respectively faciliate the Qt Assistant from within your Qt application
 to interactively call the Assistant for displaying online help that the
 developer includes with his application.
 
Package: qt3-linguist
Architecture: any
Section: devel
Suggests: qt3-assistant
Depends: ${shlibs:Depends}
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: The Qt3 Linguist
 This package contains the Qt3 Linguist which provides translators a
 tool perfect for translating any Qt-based application into other
 languages and can be used and installed independently of any Qt
 development files by the translator.
 
Package: qt3-assistant
Architecture: any
Section: x11
Depends: ${shlibs:Depends}
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: The Qt3 assistant application
 This package contains the Qt3 Assistant, an easy to use frontend for
 the complete Qt3 documentation and serves as an online help viewer for 
 any Qt program that wants to give the usesr access to online help.
 Within the Qt tools it is used as the help viewer for the online help
 for the Qt3 Designer and Linguist as well as qmake and the Qt 3 API 
 documentation.
 .
 Developers of Qt Application who want to faciliate the Qt Assistant for online
 help display should refer to the README.Debian file for libqt3-mt-dev and
 the package qt3-apps-dev.
 
Package: qt3-qtconfig
Architecture: any
Section: x11
Depends: ${shlibs:Depends}
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: The Qt3 Configuration Application
 The Qt Configuration program allows endusers to configure the look
 and behavior of any Qt3 application. It is mostly only necessary
 on systems who don't run KDE because the KDE control center already
 covers this configuration automatically for the users Qt3 applications
 according to his desktop settings in KDE.
 
Package: qt3-dev-tools-embedded
Architecture: any
Section: devel
Recommends: libqt3-mt-dev
Depends: ${shlibs:Depends}
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: Tools to develop embedded Qt applications
 This package contains applications only suitable for developing
 applications with Qt Embedded and/or Qtopia. It provides the QVFB
 program for simulating an embedded device desktop as well as makeqpf
 for converting fonts to embedded fonts suitable for being utilized
 by Qt Embedded applications.

Package: qt3-dev-tools-compat
Architecture: any
Section: devel
Recommends: libqt3-mt-dev
Depends: ${shlibs:Depends}
Replaces: qt3-tools, libqt3-dev, libqt3-mt-dev
Description: Conversion utilities for Qt3 development
 This package contains some older Qt tools (namely qt20fix qtrename140,
 qm2ts, mergetr, findtr and msg2qm). These tools are needed only by
 application developers who need to migrate any Qt application written
 for Qt 1.x or 2.x over to Qt 3.x. The purpose of the tools are to
 help fixing the changes with include file renaming as well as migrating
 the message file format of Qt 2 translation files or any gettext-based
 translation system to the Qt 3 system.

Package: libqt3-i18n
