=== debian/rules ===
#!/usr/bin/make -f

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# build variables
export QTDIR=$(shell pwd)

# re-set $(LD_LIBRARY_PATH)
OLD_LD_LIBRARY_PATH := $(LD_LIBRARY_PATH)
export LD_LIBRARY_PATH=$(QTDIR)/lib:$(OLD_LD_LIBRARY_PATH)

# fix path
OLD_PATH := $(PATH)
export PATH=$(QTDIR)/bin:$(OLD_PATH)

DEB_BUILD_GNU_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# dpatch stuff
include /usr/share/dpatch/dpatch.make

# build variables (directorys)
DEBIAN = $(shell pwd)/debian
P_LIBS = $(DEBIAN)/libqt3c102
P_DOC = $(DEBIAN)/qt3-doc
P_DEV = $(DEBIAN)/libqt3-dev
P_APPSDEV = $(DEBIAN)/qt3-apps-dev
P_HEADERS = $(DEBIAN)/libqt3-headers
P_QTMTDEV = $(DEBIAN)/libqt3-mt-dev

TMP_INSTALL = $(DEBIAN)/tmp-install

CONFIGURE_OPTS = -prefix "/usr" -docdir "/usr/share/qt3/doc" -headerdir "/usr/include/qt3" \
		-datadir "/usr/share/qt3" -plugindir "/usr/lib/qt3/plugins" -qt-gif \
		-system-zlib -system-libpng -system-libjpeg -system-libmng \
		-plugin-imgfmt-jpeg -qt-imgfmt-png -plugin-imgfmt-mng \
		-plugin-sql-odbc -plugin-sql-psql -plugin-sql-mysql \
		-plugin-style-windows -plugin-style-compact -plugin-style-platinum \
		-plugin-style-sgi -plugin-style-cde -plugin-style-motif \
		-plugin-style-motifplus -I/usr/include/mysql -I/usr/include/freetype2 \
		-I/usr/include/postgresql -I/usr/include/postgresql/server \
		-lfontconfig -no-stl -system-nas-sound -cups -xft \
		-sm -no-exceptions -platform linux-g++ -fast

build: patch libqt-stamp libqt-thread-stamp

	touch build-stamp

libqt-stamp:

	@echo "QTDIR is ${QTDIR}"

	if [ -f "Makefile.cvs" ]; then make -f Makefile.cvs || true; fi

	dh_testdir

	echo yes | ./configure $(CONFIGURE_OPTS) -no-thread -disable-opengl

	make sub-src sub-plugins
	make -C src INSTALL_ROOT=$(TMP_INSTALL) install_target
	make INSTALL_ROOT=$(TMP_INSTALL) plugins-install
	
	# rename the plugins to save them from being overidden
	for a in `find $(TMP_INSTALL)/usr/lib/qt3/plugins/ -name '*.so'`; do rename 's/.so/-non-mt.so/' "$$a"; done

	# install qmake.cache file
	install -d $(P_DEV)/usr/share/doc/libqt3-dev/
	cat .qmake.cache | sed "s#$(QTDIR)#/usr/share/qt3#g" > $(P_DEV)/usr/share/doc/libqt3-dev/qmake.cache

	# install qconfig.h for the non-mt build
	install -m 644 -D include/qconfig.h $(P_DEV)/usr/include/qt3/qconfig.h
	install -m 644 -D include/qmodules.h $(P_DEV)/usr/include/qt3/qmodules.h

	touch libqt-stamp

libqt-thread-stamp:

	dh_testdir

	make -C src clean
	make -C plugins/src clean

	echo yes | ./configure $(CONFIGURE_OPTS) -thread -enable-opengl

	# proceed
	make sub-src sub-plugins sub-tools
	make INSTALL_ROOT=$(TMP_INSTALL) install
	
	# archives get accidentally stripped by make install. Copy over unstripped ones for now.
	cp lib/lib*.a $(TMP_INSTALL)/usr/lib/

	cp bin/qtrename140 $(TMP_INSTALL)/usr/bin/
	cp bin/qt20fix $(TMP_INSTALL)/usr/bin/
	cp bin/findtr $(TMP_INSTALL)/usr/bin/

	# build conv2ui
	cd tools/designer/tools/conv2ui && make
	cp bin/conv2ui $(TMP_INSTALL)/usr/bin/conv2ui

	# build qvfb
	cd tools/qvfb/ && make
	cp tools/qvfb/qvfb $(TMP_INSTALL)/usr/bin/qvfb

	# install qmake.cache file
	install -d $(P_QTMTDEV)/usr/share/doc/libqt3-mt-dev/
	cat .qmake.cache | sed "s#$(QTDIR)#/usr/share/qt3#g" > $(P_QTMTDEV)/usr/share/doc/libqt3-mt-dev/qmake.cache
	
	# install qconfig.h for the mt
	install -m 644 -D include/qconfig.h $(P_QTMTDEV)/usr/include/qt3/qconfig.h
	install -m 644 -D include/qmodules.h $(P_QTMTDEV)/usr/include/qt3/qmodules.h

	touch libqt-thread-stamp

clean: unpatch

	dh_testdir

	-rm -rf debian/patched
	-rm -rf build-stamp libqt-stamp libqt-thread-stamp

	-chmod -R u+w *
	-chmod a-x doc/html/layout?.png

	if [ -f "src/Makefile" ]; then \
		make -C src clean; make -C plugins/src distclean; make -C tools distclean; \
		make -C tools/makeqpf distclean; make -C tools/qconfig distclean; make -C tools/qvfb distclean; \
		make -C tools/msg2qm distclean; make -C tools/mergetr distclean; make -C tools/qembed distclean; \
		make -C tools/designer/tools/conv2ui distclean; make -C tools/designer/tools/createcw distclean; \
		make -C tools/designer/plugins/glade distclean; make -C tools/designer/plugins/qglwidget distclean; \
		make -C config.tests/unix/largefile distclean; make -C qmake distclean; \
	fi

	-rm -rf .qmake.cache src/.qmake.internal.cache tools/designer/designer/.qmake.internal.cache qmake/GNUmakefile \
		config.status bin/moc bin/qmake src/moc/*.o mkspecs/default lib/lib* `pwd`/debian/doc $(TMP_INSTALL) \
		src/tools/qconfig.cpp include/qconfig.h include/qmodules.h plugins/accessibleqtwidgets.prl

	# delete generated Makefiles but save the toplevel Makefile
	-mv Makefile Makefile.save
	for a in `find . -name 'Makefile'`; do rm -f "$$a"; done
	-mv Makefile.save Makefile

	dh_clean

install: build

	dh_testdir
	dh_testroot
	
	dh_clean -i
	dh_installdirs

	# fix .prl files
	for a in debian/tmp-install/usr/lib/*prl; do cat "$$a" | sed \
	"s#$(QTDIR)#/usr/share/qt3#g" > "$$a".new && mv "$$a".new "$$a"; done

	dh_install --sourcedir=debian/tmp-install

	## build qt3-doc package
	# copy all docs there first
	install -d $(P_DOC)/usr/share/qt3/doc/html/
	for a in `cd $(TMP_INSTALL)/usr/share/qt3/doc/html/ && find`; do cp $(TMP_INSTALL)/usr/share/qt3/doc/html/"$$a" $(P_DOC)/usr/share/qt3/doc/html/; done

	## build designer package documentation
	# qt3-designer
	install -d `pwd`/debian/qt3-designer/usr/share/qt3/doc/html/
	for a in `cat doc/html/designer*.{html,xml} | grep png | sed 's/^.*src=\"\([^\"]+\)\".*$$/\1/' | \
	perl -pe 's#<\?p[^>]+>##' | tee outputfile | perl -ne '/<img [^>]*(src=\"[^"]+\")/; print $$1' | \
	sed 's/src=//g' | sed 's/"/ /g'`; do cp doc/html/"$$a" `pwd`/debian/qt3-designer/usr/share/qt3/doc/html/ && \
	rm -rf $(P_DOC)/usr/share/qt3/doc/html/"$$a" || true; done
	rm -rf outputfile `pwd`/debian/qt3-designer/usr/share/qt3/doc/html/logo32.png
	rm -rf `pwd`/debian/qt3-doc/usr/share/qt3/doc/html/designer*

	## build linguist package documentation
	# qt3-linguist
	install -d `pwd`/debian/qt3-linguist/usr/share/qt3/doc/html/
	for a in `cat doc/html/linguist*.{html,xml} | grep png | sed 's/^.*src=\"\([^\"]+\)\".*$$/\1/' | \
	perl -pe 's#<\?p[^>]+>##' | tee outputfile | perl -ne '/<img [^>]*(src=\"[^"]+\")/; print $$1' | \
	sed 's/src=//g' | sed 's/"/ /g'`; do cp doc/html/"$$a" `pwd`/debian/qt3-linguist/usr/share/qt3/doc/html/ && \
	rm -rf $(P_DOC)/usr/share/qt3/doc/html/"$$a" || true; done
	rm -rf outputfile `pwd`/debian/qt3-linguist/usr/share/qt3/doc/html/logo32.png
	rm -rf `pwd`/debian/qt3-doc/usr/share/qt3/doc/html/linguist*
	
	## qt3-assistant
	# remove docs from qt3-doc for qt-assistant
	rm -rf `pwd`/debian/qt3-doc/usr/share/qt3/doc/html/assistant*

	## all packages
	# install the overrides files
	for a in debian/overrides/*; do install -d debian/`echo "$$a" | sed 's/debian\/overrides\///g'`/usr/share/lintian/overrides; done
	for a in debian/overrides/*; do cp "$$a" debian/`echo "$$a" | sed 's/debian\/overrides\///g'`/usr/share/lintian/overrides/`echo	"$$a" | sed 's/debian\/overrides\///g'`; done
	
binary-indep: build install

	# Build architecture-independent files here.
	dh_testdir
	dh_testroot
	
	dh_installdocs -i -XREADME.Debian
	dh_installchangelogs -i changes-3.1.1
								
	find doc/man -path \*/CVS -prune -o -print | cpio -pmd $(P_DOC)/usr/share/qt3/doc/
			
	-rm -f `find $(P_DOC)/usr/share/qt3/doc/ -name "*.o"`
	find $(P_DOC) -type f -perm +0100 | xargs --no-run-if-empty rm -f

	install -d $(P_DOC)/usr/share/man/man3/
	mv $(P_DOC)/usr/share/qt3/doc/doc/man/man3/* $(P_DOC)/usr/share/man/man3/
	-rm -rf $(P_DOC)/usr/share/qt3/doc/doc

	# other i18n files
	for a in `cd translations/ && find . -name 'qt_*.qm' | sed 's/qt_//' | sed 's/\.qm//' | sed 's/\.\///g'`; do \
	install -D `pwd`/translations/qt_"$$a".qm `pwd`/debian/libqt3-i18n/usr/share/qt3/translations/qt_"$$a".qm; done

	# logo32.png
