## qt-x11-free 3.2.3

=== doc/Makefile ===
#############################################################################
# Qt Makefile - doc
#############################################################################
# $Id: qt/Makefile   3.2.3   edited May 13 09:08 $

showfiles showsources:
	@echo *.doc

clean:
	-rm -f *~ *% #*

obj include depend:
