## qt-x11-free 3.3.7

=== doc/Makefile ===
#############################################################################
# Qt Makefile - doc
#############################################################################
# $Id: qt/Makefile   3.3.7   edited May 27 2003 $

showfiles showsources:
	@echo *.doc

clean:
	-rm -f *~ *% #*

obj include depend:
